Subject: locking code...

From: "Eric C. Hagberg" <[email-masked]>
Date: Mon, 8 Jul 1996 09:34:33 -0400

I keep having these weird lockups/hangs that look like they might be
caused by locking problems... Pine 3.94, SunOS, hangs and never comes
back, unless I strace the process, which somehow kicks it out of the hung
state.

It happens when updating mail folders in my home directory, which is
mounted via AFS. Perhaps there should be a way to enable _only_ .lock file
locking everywhere, so that flock() could be eliminated entirely? Or maybe
the locks need to be set up so that they don't block? I've noticed that
not all flock calls are non-blocking...

Thanks,

-Eric

Eric Hagberg,       [email-masked],      (212)762-2558
Morgan Stanley, 750 Seventh Avenue, New York, NY 10019